API SpecificationPRIVATExeonr.auth.private.v1.OrganisationService
Get User Deletion Impact
Returns the resources that will be permanently removed if the user is deleted, so the deletion can be confirmed with full knowledge of its impact.
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
userId?string
Length
1 <= length <= 128[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.OrganisationService/GetUserDeletionImpact" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"user": {
"account": {
"userId": "usr_a1b2c3d4e5f6",
"username": "johndoe",
"email": "[email protected]",
"avatarUrl": "https://cdn.example.com/avatars/abc123"
},
"disabled": true,
"isAdmin": true,
"pending": true
},
"items": [
{
"key": "string",
"label": "string",
"count": 0
}
],
"externalIdentitiesRetained": true
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}